Subject: Ftp-WG: MLST Draft Comments

From: Robert Elz <[email-masked]>
Date: Wed, 2 Jun 1999 11:16:44 -0400

Date:        Fri, 21 May 1999 17:01:25 -0400
    From:        Paul Hethmon <[email-masked]>
    Message-ID:  <[email-masked]>

More draft editing..    I have reached this one...

  | 4. Response to OPTS MLST
  | 
  | The spec currently says a server is to issue an error response
  | when a client requests a fact which is not a standard fact 
  | and which is not a non-standard fact the server implements.
  | Suggestion is to only return an error response on syntax
  | errors and ignore the request for unknown facts.
  | 
  | As a corollary, the response to OPTS MLST could be a defined
  | format which lists the currently selected fact set.
  | 
  | *** Chair's Opinion: I'd say this matters more to client
  | authors than server authors. Any client authors want to speak
  | up here about which is easier/better to implement? If no one
  | speaks up, then I guess it will stay as is.

The corollary, which isn't really a corollary,, but a separate issue,
is pretty easy, makes sense, and will go in unless there are objections.

But so far we have heard only from Mike Gleason (whose client it was which
raised this question in the first place...) on the first point.

Does this mean that everyone is happy if I make the suggested change, and
make OPTS MLST always appear to succeed (provided the syntax looks OK) ?

Or does it mean that most people are relying on the last sentence of the
quote from Paul above, and would prefer the error for unknown requests
remain?

Or is it just that no-one cares either way...

kre